function [out]=dcf(A,B)

%discrete convolution function
%convolvs two given random variables, A and B

if isempty(A)
   A=[0; 1]; 
end

if isempty(B)
   B=[0; 1]; 
end

s=size(A,2);
res=[];
for i =1:s  
    tmp=B+[A(1,i)*ones(1,size(B,2)); 0*ones(1,size(B,2))];
    tmp = tmp .* [1 * ones(1,size(B,2)); A(2,i)*ones(1,size(B,2))];
    res=[res tmp];
end

out = sortRandVar(res);

end