function [ randVar ] = generateRandVar( interval1, interval2, marime )

%generates a random variable, with its values between interval1 and interval2, and the size of the variable is equal toi marime

a=randi([interval1 interval2], 1, marime);

b = rand(1, marime);

randVar= [a; b];

randVar = sortRandVar(randVar);

totalP = sumaProbabilitati(randVar);

%the probabilities are normalized so that their sum is 1
randVar(2,:) = randVar(2,:)/totalP;

end

